Bug 847117 - Extend scroll bug on content tab, with > 50 subscriptions only the first 50 will populate.
Extend scroll bug on content tab, with > 50 subscriptions only the first 50 w...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: beta
: 1.2
Assigned To: Katello Bug Bin
Tazim Kolhar
: Triaged
Depends On: 847115
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-08-09 14:27 EDT by Eric Sammons
Modified: 2016-04-25 20:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 847115
Environment:
Last Closed: 2013-02-21 14:17:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spinner across the subscritpion list (104.25 KB, image/png)
2012-10-10 04:33 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Eric Sammons 2012-08-09 14:27:35 EDT
+++ This bug was initially created as a clone of Bug #847115 +++

Description of problem:
With a headpin deployment that has 289 subscriptions, only the first 50 subscriptions can be acquired in the left pane of the tupane view.

Version-Release number of selected component (if applicable):
katello-1.0.4-1

How reproducible:
Occurs in both Firefox (Linux) and IE9 (Windows 7).

Steps to Reproduce:
1. Populate your deployment with a hundred or so subscriptions.
2. Navigate to the content tab and scroll down the left pane.
  
Actual results:
The first 25 subs will populate, scroll down and a spinner is present waiting for the next 25 to load.  Once these 25 subs have loaded you will notice that you have 50 of xxx subs in your view.  If you scroll down you will find that the spinner does not appear again nor do any additional subs.

--- Additional comment from esammons@redhat.com on 2012-08-09 14:26:20 EDT ---

Created attachment 603329 [details]
50 of xxx results with no way to get to the remaining 239
Comment 1 Tom McKay 2012-09-10 08:17:13 EDT
Fixed in fce26f0
Comment 2 Tazim Kolhar 2012-10-10 04:33:50 EDT
Created attachment 624652 [details]
Spinner across the subscritpion list

VERIFIED :

# rpm -qa | grep katello
katello-configure-1.1.11-1h.el6_3.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1h.el6_3.noarch
katello-glue-candlepin-1.1.14-2h.el6_3.noarch
katello-cli-common-1.1.10-1h.el6_3.noarch
katello-selinux-1.1.2-1h.el6_3.noarch
katello-cli-headpin-0.2.2-1.el6_2.noarch
katello-headpin-1.1.14-2h.el6_3.noarch
katello-common-1.1.14-2h.el6_3.noarch
katello-headpin-all-1.1.14-2h.el6_3.noarch
Comment 4 errata-xmlrpc 2013-02-21 14:17:21 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.